Up

# NSPanel

### Authors

Scott Christley (`scottc@net-community.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)
Pascal J. Bourguignon (`pjb@imaginet.fr`)

> Panel window class and related functions

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSPanel class

## NSPanel : NSWindow

> Declared in:
>   AppKit/NSPanel.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -becomesKeyOnlyIfNeeded
- -isFloatingPanel
- -setBecomesKeyOnlyIfNeeded:
- -setFloatingPanel:
- -setWorksWhenModal:
- -worksWhenModal

### becomesKeyOnlyIfNeeded

- (BOOL) becomesKeyOnlyIfNeeded;

Description forthcoming.

### isFloatingPanel

- (BOOL) isFloatingPanel;

Description forthcoming.

### setBecomesKeyOnlyIfNeeded:

- (void) setBecomesKeyOnlyIfNeeded: (BOOL)flag;

Description forthcoming.

### setFloatingPanel:

- (void) setFloatingPanel: (BOOL)flag;

Description forthcoming.

### setWorksWhenModal:

- (void) setWorksWhenModal: (BOOL)flag;

Description forthcoming.

### worksWhenModal

- (BOOL) worksWhenModal;

Description forthcoming.

Up